import { Module } from '@nestjs/common';
import { AdminService } from './admin.service';
import { AdminController } from './admin.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Admin } from './entities/admin.entity';
import { Town } from 'src/town/entities/town.entity';
import { AuthAdminService } from 'src/auth/admin/authAdmin.service';
import { JwtService } from '@nestjs/jwt';
import { EncryptionService } from 'src/auth/encryption/encryption.service';
import { AdminResetCode } from 'src/auth/admin/entitites/admin-reset-code.entity';

@Module({
  controllers: [AdminController],
  providers: [AdminService, AuthAdminService, JwtService, EncryptionService],
  imports: [TypeOrmModule.forFeature([Admin, Town, AdminResetCode])],
  exports: [AdminService],
})
export class AdminModule {}
