import { Module } from '@nestjs/common';
import { AuthAdminController } from './authAdmincontroller';
import { EncryptionService } from '../encryption/encryption.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Admin } from 'src/admin/entities/admin.entity';
import { AuthAdminService } from './authAdmin.service';
import { AdminService } from 'src/admin/admin.service';
import { JwtService } from '@nestjs/jwt';
import { AuthAdminGuard } from './authAdmin.guard';
import { Town } from 'src/town/entities/town.entity';
import { AdminResetCode } from './entitites/admin-reset-code.entity';
import { EmailService } from 'src/email/email.service';

@Module({
  controllers: [AuthAdminController],
  providers: [AuthAdminService, AdminService, JwtService, EncryptionService, AuthAdminGuard, EmailService],
  imports: [TypeOrmModule.forFeature([Admin, Town, AdminResetCode])],
  exports: [AuthAdminService],
})
export class AuthAdminModule {}
