import { Module } from '@nestjs/common';
import { EncryptionService } from '../encryption/encryption.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtService } from '@nestjs/jwt';
import { AuthUserController } from './authUsercontroller';
import { UserService } from 'src/user/user.service';
import { User } from 'src/user/entities/user.entity';
import { AuthUserService } from './authUserservice';
import { Category } from 'src/category/entities/category.entity';
import { CategoryService } from 'src/category/category.service';
import { UserResetCode } from './entities/user-reset-code.entity';
import { EmailService } from 'src/email/email.service';
import { UserConfirmCode } from './entities/user-confirm-code.entity';

@Module({
  controllers: [AuthUserController],
  providers: [UserService, JwtService, EncryptionService, AuthUserService, CategoryService, EmailService],
  imports: [TypeOrmModule.forFeature([User, Category, UserResetCode, UserConfirmCode])],
})
export class AuthUserModule {}
