import { Module } from '@nestjs/common';
import { CategoryService } from './category.service';
import { CategoryController } from './category.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Category } from './entities/category.entity';
import { AuthAdminService } from 'src/auth/admin/authAdmin.service';
import { JwtService } from '@nestjs/jwt';
import { EncryptionService } from 'src/auth/encryption/encryption.service';
import { AdminService } from 'src/admin/admin.service';
import { Admin } from 'src/admin/entities/admin.entity';
import { Town } from 'src/town/entities/town.entity';
import { AdminResetCode } from 'src/auth/admin/entitites/admin-reset-code.entity';

@Module({
  controllers: [CategoryController],
  providers: [CategoryService, AuthAdminService, JwtService, EncryptionService, AdminService],
  imports: [TypeOrmModule.forFeature([Category, Admin, Town, AdminResetCode])],
  exports: [CategoryService],
})
export class CategoryModule {}
