import { Module } from '@nestjs/common';
import { PlaceService } from './place.service';
import { PlaceController } from './place.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Place } from './entities/place.entity';
import { AvailableDate } from './entities/available-date.entity';
import { PlaceTraduction } from './entities/place-traduction.entity';
import { Town } from 'src/town/entities/town.entity';
import { TownService } from 'src/town/town.service';
import { TownTraduction } from 'src/town/entities/town-traduction.entity';
import { StateService } from 'src/state/state.service';
import { State } from 'src/state/entities/state.entity';
import { AuthAdminService } from 'src/auth/admin/authAdmin.service';
import { AdminService } from 'src/admin/admin.service';
import { JwtService } from '@nestjs/jwt';
import { EncryptionService } from 'src/auth/encryption/encryption.service';
import { Admin } from 'src/admin/entities/admin.entity';
import { AdminResetCode } from 'src/auth/admin/entitites/admin-reset-code.entity';

@Module({
  controllers: [PlaceController],
  providers: [
    PlaceService,
    TownService,
    StateService,
    AuthAdminService,
    AdminService,
    JwtService,
    EncryptionService,
    TownService,
  ],
  imports: [
    TypeOrmModule.forFeature([
      Place,
      AvailableDate,
      PlaceTraduction,
      Town,
      TownTraduction,
      State,
      Admin,
      AdminResetCode,
    ]),
    TypeOrmModule,
  ],
})
export class PlaceModule {}
