import { Module } from '@nestjs/common';
import { PointOfInterestService } from './PointOfInterest.service';
import { PointOfInterestController } from './PointOfInterest.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PointOfInterest } from './entities/PointOfInterest.entity';
import { PointOfInterestTraduction } from './entities/PointOfInterestTraduction.entity';
import { PlaceService } from 'src/place/place.service';
import { Place } from 'src/place/entities/place.entity';
import { AvailableDate } from 'src/place/entities/available-date.entity';
import { PlaceTraduction } from 'src/place/entities/place-traduction.entity';
import { Town } from 'src/town/entities/town.entity';
import { AuthAdminService } from 'src/auth/admin/authAdmin.service';
import { JwtService } from '@nestjs/jwt';
import { EncryptionService } from 'src/auth/encryption/encryption.service';
import { AdminService } from 'src/admin/admin.service';
import { Admin } from 'src/admin/entities/admin.entity';
import { AdminResetCode } from 'src/auth/admin/entitites/admin-reset-code.entity';

@Module({
  controllers: [PointOfInterestController],
  providers: [PointOfInterestService, PlaceService, AdminService, AuthAdminService, JwtService, EncryptionService],
  imports: [
    TypeOrmModule.forFeature([
      PointOfInterest,
      PointOfInterestTraduction,
      Place,
      AvailableDate,
      PlaceTraduction,
      Town,
      Admin,
      AdminResetCode,
    ]),
  ],
})
export class PointOfInterestModule {}
