import { Column, Entity, ManyToOne, PrimaryColumn } from 'typeorm';
import { PointOfInterest } from './PointOfInterest.entity';
import { LANGUAGES } from 'src/shared/enum/languages.enum';

@Entity()
export class PointOfInterestTraduction {
  @PrimaryColumn({ name: 'idPoint', type: Number })
  @ManyToOne(() => PointOfInterest, (point) => point.idPoint)
  idPoint: PointOfInterest;
  @PrimaryColumn()
  language: LANGUAGES;

  @Column({ nullable: false, length: 1024 })
  content: string;
  @Column({ nullable: true, length: 1024 })
  directions: string;

  @Column()
  audioName: string;
}
