import { Module } from '@nestjs/common';
import { TownService } from './town.service';
import { TownController } from './town.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Town } from './entities/town.entity';
import { StateService } from 'src/state/state.service';
import { State } from 'src/state/entities/state.entity';
import { TownTraduction } from './entities/town-traduction.entity';
import { AuthAdminService } from 'src/auth/admin/authAdmin.service';
import { AdminService } from 'src/admin/admin.service';
import { JwtService } from '@nestjs/jwt';
import { EncryptionService } from 'src/auth/encryption/encryption.service';
import { Admin } from 'src/admin/entities/admin.entity';
import { AdminResetCode } from 'src/auth/admin/entitites/admin-reset-code.entity';

@Module({
  controllers: [TownController],
  providers: [TownService, StateService, TypeOrmModule, AuthAdminService, AdminService, JwtService, EncryptionService],
  imports: [TypeOrmModule.forFeature([Town, State, TownTraduction, Admin, AdminResetCode]), TypeOrmModule],
  exports: [TownService],
})
export class TownModule {}
