import { Module } from '@nestjs/common';
import { UserService } from './user.service';
import { UserController } from './user.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { User } from './entities/user.entity';
import { CategoryService } from 'src/category/category.service';
import { Category } from 'src/category/entities/category.entity';
import { AuthUserService } from 'src/auth/user/authUserservice';
import { JwtService } from '@nestjs/jwt';
import { EncryptionService } from 'src/auth/encryption/encryption.service';
import { UserResetCode } from 'src/auth/user/entities/user-reset-code.entity';
import { UserConfirmCode } from 'src/auth/user/entities/user-confirm-code.entity';
import { EmailService } from 'src/email/email.service';

@Module({
  controllers: [UserController],
  providers: [UserService, CategoryService, AuthUserService, JwtService, EncryptionService, EmailService],
  imports: [TypeOrmModule.forFeature([User, Category, UserResetCode, UserConfirmCode])],
})
export class UserModule {}
