export const visit_template = (places: string[]) => `
<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <style>
      * {
        padding: 0;
        margin: 0;
        box-sizing: border-box;
      }
      body {
        font-family: sans-serif;
        padding: 10px;
      }
      .container {
        position: relative;
        display: flex;
        flex-direction: row;
        height: 300px;
        width: 450px;
        gap: 10px;
        padding-inline: 10px;
        padding-block: 55px;
        border: 2px solid black;
        overflow: hidden;
      }
      .container .image {
        flex-grow: 1;
        max-width: 100%;
        height: 90%;
        border-radius: 10px;
        overflow: hidden;
        border: 3px solid rgb(237,0,132);
      }

      .container .image:nth-child(2n + 1) {
        align-self: flex-end;
      }

      .image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }

      .pueblos {
        position: absolute;
        top: 10px;
        right: 10px;
        width: 30px;
        height: 30px;
      }

      .pueblos img {
        height: 100%;
        width: 100%;
      }
      .pueblo-text-container {
        position: absolute;
        bottom: 0;
        left: 0;
        padding: 10px;
        height: 50px;
        width: 100%;
        border-top-right-radius: 75px;
        background-color: rgb(255, 255, 255);
        border-top: 2px solid black;
        border-right: 2px solid black;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      .pueblo-text-container::after {
        content: '';
        position: absolute;
        width: 100%;
        height: 50px;
        bottom: 48px;
        right: 0;
        background-color: transparent;
        border-bottom-left-radius: 75px;
        box-shadow: -75px 0px 0px 0px white;
        border-left: 2px solid black;
        z-index: 2;
      }

      .inverted {
        transform: rotate(180deg);
        top: 0px;
      }
      .pueblo-text {
        font-family: sans-serif;
        font-size: 14px;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <div class="pueblo-text-container">
        <h1 class="pueblo-text">Jerez de García Salinas, Zacatecas</h1>
      </div>
      <div class="pueblo-text-container inverted"></div>
      ${
        places.map(
          (place) => `<div class="image">
            <img
              src="${place}"
              alt=""
            />
        </div>`
        ).join('\n')
      }
      <div class="pueblos">
        <img
          src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQnr08Avq1Nkhwh36sTNwiUicOkXhdeASiHuA&s"
          alt=""
        />
      </div>
    </div>
  </body>
</html>
`;