import { Module } from '@nestjs/common';
import { VisitedService } from './visited.service';
import { VisitedController } from './visited.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UserService } from 'src/user/user.service';
import { PlaceService } from 'src/place/place.service';
import { User } from 'src/user/entities/user.entity';
import { Place } from 'src/place/entities/place.entity';
import { Visited } from './entities/visited.entity';
import { CategoryService } from 'src/category/category.service';
import { Category } from 'src/category/entities/category.entity';
import { AvailableDate } from 'src/place/entities/available-date.entity';
import { PlaceTraduction } from 'src/place/entities/place-traduction.entity';
import { Town } from 'src/town/entities/town.entity';
import { AuthUserService } from 'src/auth/user/authUserservice';
import { JwtService } from '@nestjs/jwt';
import { EncryptionService } from 'src/auth/encryption/encryption.service';
import { UserResetCode } from 'src/auth/user/entities/user-reset-code.entity';
import { UserConfirmCode } from 'src/auth/user/entities/user-confirm-code.entity';
import { EmailService } from 'src/email/email.service';
import { TravelPlace } from 'src/travel-place/entities/travel-place.entity';

@Module({
  controllers: [VisitedController],
  providers: [
    VisitedService,
    UserService,
    PlaceService,
    CategoryService,
    AuthUserService,
    JwtService,
    EncryptionService,
    EmailService,
  ],
  imports: [
    TypeOrmModule.forFeature([
      User,
      Place,
      Visited,
      Category,
      AvailableDate,
      PlaceTraduction,
      Town,
      Visited,
      UserResetCode,
      UserConfirmCode,
      TravelPlace,
    ]),
  ],
})
export class VisitedModule {}
