import { Stack } from "expo-router";
import { LIGHT_THEME } from "../../src/common/const/theme";

export default function Layout() {
    return (
        <Stack
            screenOptions={{
                headerStyle: {
                    backgroundColor: LIGHT_THEME.color.primary,
                  },
                  headerTitleStyle: {
                    color: LIGHT_THEME.color.white,
                  },
                  headerTitleAlign: "center",
                  headerTintColor: LIGHT_THEME.color.white,
                  statusBarColor: LIGHT_THEME.color.primary,
            }}
        >
            <Stack.Screen name="edit" options={{
                title: "Edit Profile",
                headerShown: true,
            }}/>
            <Stack.Screen name="interests" options={{
                title: "Interests",
                headerShown: true,
            }}/>
            <Stack.Screen name="set_up" options={{
                title: "Set Up Profile",
                headerShown: true,
            }}/>
            <Stack.Screen name="change_password" options={{
                title: "Change Password",
                headerShown: true,
            }}/>
        </Stack>
    );
}