import { router, Stack } from "expo-router";
import { LIGHT_THEME } from "../../src/common/const/theme";
import { Button } from "react-native";
import { ShareButton } from "../../src/travel/components/share_button";

export default function Layout() {
  return (
    <Stack
      screenOptions={{
        headerStyle: {
          backgroundColor: LIGHT_THEME.color.primary,
        },
        headerTitleStyle: {
          color: LIGHT_THEME.color.white,
        },
        headerTitleAlign: "center",
        headerTintColor: LIGHT_THEME.color.white,
      }}
    >
      <Stack.Screen name="details/[id]" options={{
        title: "Travel Details",
        headerRight: (props) => <ShareButton/>
      }}/>

      <Stack.Screen name="download/[id]" options={{
        title: "Download Travel",
      }}/>
      <Stack.Screen name="error/save_travel_image_error" options={{
        headerShown: false,
      }}/>
    </Stack>
  );
}
