import { ActivityDataSource } from "../../domain/datasources/activity_datasource";
import { ActivityPlaceEntity } from "../../domain/entities/activity_place_entity";
import { ActivityRepository } from "../../domain/repositories/activity_repository";

export class ActivityRepositoryDev implements ActivityRepository {
    constructor(
        private activityDataSource: ActivityDataSource
    ) {}
    async rankActivity(activityId: number, rank: number): Promise<void> {
        return  this.activityDataSource.rankActivity(activityId, rank);
    }
    async getPlaceActivity(activityId: number, townId: number, stateId: number, placeNumber: number): Promise<ActivityPlaceEntity> {
        return this.activityDataSource.getPlaceActivity(activityId, townId, stateId, placeNumber);
    }
}