import { LoginInfoEntity } from "../entities/login_info_entity";
import { RegisterInfoEntity } from "../entities/register_info";
import { ResetPasswordInfoEntity } from "../entities/reset_password_entity";

export interface AuthRepository {
  login: (email: string, password: string) => Promise<LoginInfoEntity>;
  register: (user: RegisterInfoEntity) => Promise<LoginInfoEntity>;
  getResetCode: (email: string) => Promise<void>;
  resetPassword: (resetInfo: ResetPasswordInfoEntity) => Promise<void>;
  verifyAccount: (code: string) => Promise<void>;
  resendConfirmationCode: () => Promise<void>;
}
