import { View, Text, StyleSheet } from "react-native";
import { FloatingBackButton } from "../../common/components/floating_back_button";
import { FloatingEndActionButton } from "../../common/components/floating_end_action_button";
import { router } from "expo-router";

export const ResetPasswordError = () => {
    const onClick = () => {
        router.replace("login");
    };
  return (
    <View style={styles.mainContainer}>
      <Text style={styles.title} >Reset Password Error</Text>
      <Text style={styles.description}>
        We were unable to reset your password. Please try again.
      </Text>
      <FloatingEndActionButton onPress={onClick} title="Ir a pantalla de inicio"/>
    </View>
  );
}

const styles = StyleSheet.create({
  mainContainer: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
  },
  title: {
    fontSize: 24,
    fontWeight: "bold",
    marginBottom: 16,
  },
  description: {
    fontSize: 16,
    marginBottom: 16,
  },
});