import { View, Image, ImageSourcePropType } from "react-native";

interface CircleAvatarProps {
    size: number;
    source: ImageSourcePropType;
}

export const CircleAvatar = ({ size, source }: CircleAvatarProps) => {
    return (
        <View style={{ width: size, height: size, borderRadius: size / 2, overflow: "hidden", borderWidth: 1 }}>
            <Image source={source} style={{ width: "100%", height: "100%" }} />
        </View>
    );
}