import { UserRole } from "../../../../core/constants/roles";

/**
 * Interface representing the values of an admin form.
 */
export interface AdminFormValues {
  email: string;
  name: string;
  lastName: string;
  password: string;
  confirmPassword: string;
  townAdmin: number;
}

/**
 * Interface representing an admin.
 */
export interface Admin {
  email: string;
  name: string;
  lastName: string;
  role?: UserRole;
  idTown?: number;
  status?: string;
}

/**
 * Interface representing the values required to change an admin's password.
 */
export interface AdminPasswordValues {
  prevPassword: string;
  newPassword: string;
  newPasswordConfirm: string;
}
