/**
 * Interface representing a point of interest.
 */
export interface PointOfInterest {
  idPoint?: number;
  idPlace: number;
  name: string;
  image: File | string;
  contentEN: string;
  contentES: string;
  directionsEN: string;
  directionsES: string;
}

/**
 * Constant representing an empty point of interest.
 */
export const EmptyPointOfInterest: PointOfInterest = {
  idPoint: 0,
  idPlace: 0,
  name: '',
  image: '',
  contentEN: '',
  contentES: '',
  directionsEN: '',
  directionsES: ''
};