import { LoginFormValues } from "./api/entities/login_form_values";
import { LoggedInUser } from "./api/entities/user";

/**
 * Interface representing a data source for handling login operations.
 */
export interface LoginDatasource {
  /**
   * Retrieves a token for the given login form values.
   * @param form - The login form values.
   * @returns A promise that resolves to a LoggedInUser object containing the token.
   */
  getToken(form: LoginFormValues): Promise<LoggedInUser>;
}
