/**
 * Interface representing a logged-in user model.
 */
export interface LoggedInUserModel {
    /**
     * The email address of the logged-in user.
     */
    email: string;

    /**
     * The name of the logged-in user.
     */
    name: string;

    /**
     * The role of the logged-in user (e.g., admin, user).
     */
    role: string;

    /**
     * The authentication token for the logged-in user.
     */
    token: string;
}