/**
 * Interface representing a traditional town model.
 */
export interface TownModelTrad {
  /** Unique identifier for the town */
  townId: number;
  /** Name of the town */
  name: string;
  /** Image name associated with the town */
  imageName: string;
  /** Description of the town */
  description: string;
  /** Unique identifier for the state */
  stateId: number;
}

/**
 * Interface representing a town model with multilingual descriptions.
 */
export interface TownModel {
  /** Unique identifier for the town */
  townId: number;
  /** Name of the town */
  name: string;
  /** English description of the town */
  descriptionEN: string;
  /** Spanish description of the town */
  descriptionES: string;
  /** Image name associated with the town */
  imageName: string;
  /** Unique identifier for the state */
  stateId: number;
}