import { LoginFormValues } from "../../data/datasource/api/entities/login_form_values";
import { LoggedInUser } from "../../data/datasource/api/entities/user";

/**
 * Interface representing a repository for handling login operations.
 */
export interface LoginRepository {
  /**
   * Retrieves a token for the given login form values.
   * @param form - The login form values.
   * @returns A promise that resolves to a logged-in user.
   */
  getToken(form: LoginFormValues): Promise<LoggedInUser>;
}
